PopupWindow.AnchorLocation (JavaFX 13)

Module javafx.graphics
Package javafx.stage

## Enum PopupWindow.AnchorLocation

- java.lang.Object
- - java.lang.Enum<PopupWindow.AnchorLocation>
  - - javafx.stage.PopupWindow.AnchorLocation

- All Implemented Interfaces:
    `Serializable`, `Comparable<PopupWindow.AnchorLocation>`
  Enclosing class:
    PopupWindow

      public static enum PopupWindow.AnchorLocation
      extends Enum<PopupWindow.AnchorLocation>

  Anchor location constants for popup anchor point selection.
  Since:
    JavaFX 8.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTENT_BOTTOM_LEFT` | Represents bottom left content corner.
    `CONTENT_BOTTOM_RIGHT` | Represents bottom right content corner.
    `CONTENT_TOP_LEFT` | Represents top left content corner.
    `CONTENT_TOP_RIGHT` | Represents top right content corner.
    `WINDOW_BOTTOM_LEFT` | Represents bottom left window corner.
    `WINDOW_BOTTOM_RIGHT` | Represents bottom right window corner.
    `WINDOW_TOP_LEFT` | Represents top left window corner.
    `WINDOW_TOP_RIGHT` | Represents top right window corner.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PopupWindow.AnchorLocation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PopupWindow.AnchorLocation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WINDOW_TOP_LEFT

          public static final PopupWindow.AnchorLocation WINDOW_TOP_LEFT

      Represents top left window corner.

    - #### WINDOW_TOP_RIGHT

          public static final PopupWindow.AnchorLocation WINDOW_TOP_RIGHT

      Represents top right window corner.

    - #### WINDOW_BOTTOM_LEFT

          public static final PopupWindow.AnchorLocation WINDOW_BOTTOM_LEFT

      Represents bottom left window corner.

    - #### WINDOW_BOTTOM_RIGHT

          public static final PopupWindow.AnchorLocation WINDOW_BOTTOM_RIGHT

      Represents bottom right window corner.

    - #### CONTENT_TOP_LEFT

          public static final PopupWindow.AnchorLocation CONTENT_TOP_LEFT

      Represents top left content corner.

    - #### CONTENT_TOP_RIGHT

          public static final PopupWindow.AnchorLocation CONTENT_TOP_RIGHT

      Represents top right content corner.

    - #### CONTENT_BOTTOM_LEFT

          public static final PopupWindow.AnchorLocation CONTENT_BOTTOM_LEFT

      Represents bottom left content corner.

    - #### CONTENT_BOTTOM_RIGHT

          public static final PopupWindow.AnchorLocation CONTENT_BOTTOM_RIGHT

      Represents bottom right content corner.

  - ### Method Detail

    - #### values

          public static PopupWindow.AnchorLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PopupWindow.AnchorLocation c : PopupWindow.AnchorLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PopupWindow.AnchorLocation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null